{#
/**
 * @file
 * Olivero's theme implementation to display a single page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.html.twig template normally located in the
 * core/modules/system directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 *
 * Page content (in order of occurrence in the default page.html.twig):
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.header: Items for the header region.
 * - page.highlighted: Items for the highlighted region.
 * - page.primary_menu: Items for the primary menu region.
 * - page.secondary_menu: Items for the secondary menu region.
 * - page.content: The main content of the current page.
 * - page.sidebar: Items for the first sidebar.
 * - page.featured_bottom_first: Items for the first featured bottom region.
 * - page.featured_bottom_second: Items for the second featured bottom region.
 * - page.footer_first: Items for the first footer column.
 * - page.footer_second: Items for the second footer column.
 * - page.breadcrumb: Items for the breadcrumb region.
 * - page.social: Items for the social region.
 *
 * @see template_preprocess_page()
 * @see html.html.twig
 */
#}

<div id="page-wrapper" class="page-wrapper">
  <div id="page" class="row">
  
    {{ page.mintrans_sidebar }}

    <div class="col">
      <header id="header" class="site-header row" data-drupal-selector="site-header" role="banner">
        {{ page.mintrans_header }}
        {{ page.mintrans_header_sidebar }}
      </header>

      <div id="main-wrapper" class="layout-main-wrapper layout-container">
        <div id="main" class="layout-main">
          <div class="main-content">
            <a id="main-content" tabindex="-1"></a>
            {{ page.hero }}
            <div class="main-content__container container">
              {{ page.highlighted }}

              {% if page.sidebar %}
                <div class="sidebar-grid grid-full">
                  <main role="main" class="site-main ie11-autorow">
                    {{ page.content_above }}
                    {{ page.content }}
                  </main>

                  {{ page.sidebar }}
                </div>
              {% else %}
                <main role="main">
                  {{ page.content_above }}
                  {{ page.content }}
                </main>
              {% endif %}
              {{ page.content_below }}
            </div>
          </div>
        </div>
      </div>
    </div>

    <footer class="site-footer">
      <div class="site-footer__inner">
        {# {{ page.footer_top }}
        {{ page.footer_bottom }} #}

        {{ page.mintrans_footer }}
      </div>
    </footer>

    <div class="overlay" data-drupal-selector="overlay"></div>

  </div>
</div>
